Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBoxV2.TabPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionToolBoxV2.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionToolBoxV2

    public static final class QStyleOptionToolBoxV2.TabPosition

extends java.lang.Enum
implements QtEnumerator

This enum type defines where `QTabWidget` draws the tab row:

See Also:
  Serialized Form

Field Summary
`static QStyleOptionToolBoxV2.TabPosition` | `Beginning`
`static QStyleOptionToolBoxV2.TabPosition` | `End`
`static QStyleOptionToolBoxV2.TabPosition` | `Middle`
`static QStyleOptionToolBoxV2.TabPosition` | `OnlyOneTab`

Method Summary
`static QStyleOptionToolBoxV2.TabPosition` | `resolve(int value)` Returns the TabPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBoxV2.TabPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionToolBoxV2.TabPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Beginning

    public static final QStyleOptionToolBoxV2.TabPosition Beginning

### Middle

    public static final QStyleOptionToolBoxV2.TabPosition Middle

### End

    public static final QStyleOptionToolBoxV2.TabPosition End

### OnlyOneTab

    public static final QStyleOptionToolBoxV2.TabPosition OnlyOneTab

Method Detail

### values

    public static QStyleOptionToolBoxV2.TabPosition[] values()

### valueOf

    public static QStyleOptionToolBoxV2.TabPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBoxV2.TabPosition resolve(int value)

  Returns the TabPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD